# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/spi/renesas,hspi.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Renesas HSPI

maintainers:
  - Geert Uytterhoeven <geert+renesas@glider.be>

allOf:
  - $ref: spi-controller.yaml#

properties:
  compatible:
    items:
      - enum:
          - renesas,hspi-r8a7778 # R-Car M1A
          - renesas,hspi-r8a7779 # R-Car H1
      - const: renesas,hspi

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  clocks:
    maxItems: 1

  power-domains:
    maxItems: 1

required:
  - compatible
  - reg
  - interrupts
  - clocks
  - '#address-cells'
  - '#size-cells'

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/clock/r8a7778-clock.h>
    #include <dt-bindings/interrupt-controller/irq.h>

    hspi0: spi@fffc7000 {
        compatible = "renesas,hspi-r8a7778", "renesas,hspi";
        reg = <0xfffc7000 0x18>;
        interrupts = <0 63 IRQ_TYPE_LEVEL_HIGH>;
        clocks = <&mstp0_clks R8A7778_CLK_HSPI>;
        power-domains = <&cpg_clocks>;
        #address-cells = <1>;
        #size-cells = <0>;
    };

